## gimpimagecombobox

gimpimagecombobox — A widget providing a popup menu of images.

## Synopsis

    gboolean    (*GimpImageConstraintFunc)      (gint32 image_id,
                                                 gpointer data);
    GtkWidget*  gimp_image_combo_box_new        (GimpImageConstraintFunc constraint,
                                                 gpointer data);

## Description

A widget providing a popup menu of images.

## Details

### GimpImageConstraintFunc ()

    gboolean    (*GimpImageConstraintFunc)      (gint32 image_id,
                                                 gpointer data);

`image_id` : |
`data` : |
Returns : |

### gimp_image_combo_box_new ()

    GtkWidget*  gimp_image_combo_box_new        (GimpImageConstraintFunc constraint,
                                                 gpointer data);

Creates a new GimpIntComboBox filled with all currently opened images. If a `constraint` function is specified, it is called for each image and only if the function returns `TRUE`, the image is added to the combobox.

You should use `gimp_int_combo_connect()` to initialize and connect the combo. Use `gimp_int_combo_box_set_active()` to get the active image ID and `gimp_int_combo_box_get_active()` to retrieve the ID of the selected image.

`constraint` : | a GimpImageConstraintFunc or `NULL`
`data` : | a pointer that is passed to `constraint`
Returns : | a new GimpIntComboBox.

Since GIMP 2.2